SDL_GetRectIntersection(3)

NAME
SDL_GetRectIntersection - Calculate the intersection of two rectangles.

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GetRectIntersection(const SDL_Rect * A,
                           const SDL_Rect * B,
                           SDL_Rect * result);

DESCRIPTION
If result is NULL then this function will return SDL_FALSE .

FUNCTION PARAMETERS

A   an SDL_Rect
     structure representing the first rectangle

B   an SDL_Rect
     structure representing the second rectangle

result
    an SDL_Rect
     structure filled in with the intersection of rectangles A and B

RETURN VALUE
Returns SDL_TRUE
 if there is an intersection, SDL_FALSE
 otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_HasRectIntersection(3)